using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Order_Details_Extended  : Daolite.Business
	{
		public const string P_Discount = "Discount";
		public const string P_ExtendedPrice = "ExtendedPrice";
		public const string P_OrderID = "OrderID";
		public const string P_ProductID = "ProductID";
		public const string P_ProductName = "ProductName";
		public const string P_Quantity = "Quantity";
		public const string P_UnitPrice = "UnitPrice";

		double _Discount;

		public double Discount{
			get { return _Discount; }
			set { _Discount = value; }
		}


		double _ExtendedPrice;

		public double ExtendedPrice{
			get { return _ExtendedPrice; }
			set { _ExtendedPrice = value; }
		}


		long _OrderID;

		public long OrderID{
			get { return _OrderID; }
			set { _OrderID = value; }
		}


		long _ProductID;

		public long ProductID{
			get { return _ProductID; }
			set { _ProductID = value; }
		}


		string _ProductName;

		public string ProductName{
			get { return _ProductName; }
			set { _ProductName = value; }
		}


		int _Quantity;

		public int Quantity{
			get { return _Quantity; }
			set { _Quantity = value; }
		}


		double _UnitPrice;

		public double UnitPrice{
			get { return _UnitPrice; }
			set { _UnitPrice = value; }
		}


	}
}
